<!DOCTYPE html>
<html
  lang="en"
  xmlns:th="http://www.thymeleaf.org"
  xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
  xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
  layout:decorate="~{layout2}"
>
  <head>
    <meta charset="UTF-8" />
    <title>Budget Line</title>
  </head>
  <body>
    <main
      layout:fragment="main"
      class="container-xxl bd-gutter mt-3 my-md-4 bd-layout"
    >
      <div th:include="sidebar_setting::sidebar_setting" th:remove="tag">
        sidebar
      </div>
      <main class="bd-main-xxl">
        <div class="row">
          <div class="col-md-12">
            <div class="h4 pb-2 mb-4 text-dark border-bottom border-dark">
              Budget Line
            </div>
          </div>
        </div>

        <div
          class="alert alert-success"
          role="alert"
          th:if="${success != null}"
        >
          Save data successfull....
        </div>

        <form method="get">
          <div class="row">
            <div class="col-md-6">
              <!--            <h3 class="box-title">List of Budget Line</h3>-->
              <p>
                <a
                  class="link-primary"
                  th:href="@{/masterdata/mataanggaranbaru}"
                  role="button"
                  >Klik disini</a
                >
                jika anda ingin menambah budget line baru.
              </p>
            </div>
            <div class="col-md-6" align="right"></div>
          </div>
          <div class="row">
            <div class="col-md-9">
              Show entries <span sd:page-size-selector="javascript"></span>
            </div>

            <div class="col-md-3" align="right">
              <input
                class="form-control me-2"
                type="text"
                placeholder="Search"
                name="search"
                th:value="${search}"
                aria-label="Search"
              />
              <!--                <button class="btn btn-danger" type="submit" style="background-color: #15408d; border-color:#15408d">Log out</button>-->
            </div>
          </div>
          <br />
        </form>
        <div class="row">
          <div class="col-md-12">
            <!-- <div class="tableFixHead"> -->
            <table class="table table-hover table-striped small">
              <thead class="table-dark" style="--bs-table-bg: #15408d">
                <tr>
                  <th scope="col" style="width: 10px">#</th>
                  <th scope="col">Code</th>
                  <th scope="col">Budget Line</th>
                  <th scope="col">Description</th>
                  <th scope="col" class="text-center">Status</th>
                  <th scope="col">Options</th>
                  <th scope="col" style="width: 40px"></th>
                </tr>
              </thead>
              <tbody>
                <tr th:each="dataMataAnggaran,row : ${listMataAnggaran}">
                  <th
                    align="right"
                    th:text="${(row.index + 1) + (listMataAnggaran.number * listMataAnggaran.size)}"
                  >
                    1
                  </th>
                  <td th:text="${dataMataAnggaran.kodeMataAnggaran}">
                    BEASISWA
                  </td>
                  <td th:text="${dataMataAnggaran.namaMataAnggaran}">
                    Pendapatan dari Beasiswa
                  </td>
                  <td th:text="${dataMataAnggaran.keterangan}">-</td>
                  <td class="text-center">
                    <span
                      th:if="${dataMataAnggaran.statusAktif.toString != 'AKTIF'}"
                      class="badge bg-secondary"
                      th:text="${dataMataAnggaran.statusAktif}"
                    ></span>
                    <span
                      th:if="${dataMataAnggaran.statusAktif.toString == 'AKTIF'}"
                      class="badge bg-success"
                      th:text="${dataMataAnggaran.statusAktif}"
                    ></span>
                  </td>
                  <td>
                    <div class="d-flex justify-content-end">
                      <a
                        th:href="@{/masterdata/mataanggaranview(id = ${dataMataAnggaran.id})}"
                        class="btn btn-sm btn-secondary"
                        title="Detail"
                        ><i class="fa fa-eye"></i></a
                      >&nbsp;&nbsp;
                      <a
                        th:href="@{/masterdata/mataanggaranedit(id = ${dataMataAnggaran.id})}"
                        class="btn btn-sm btn-primary"
                        title="Edit"
                        ><i class="fa fa-edit"></i
                      ></a>
                    </div>
                  </td>
                  <td>
                    <form
                      method="post"
                      th:action="@{/masterdata/mataanggaranhapus(mataAnggaran=${dataMataAnggaran.id})}"
                    >
                      <button
                        title="Delete"
                        type="submit"
                        class="btn btn-sm btn-danger"
                        onclick="return confirm('Are you sure want to delete this?')"
                      >
                        <i class="fa fa-trash"></i>
                      </button>
                    </form>
                  </td>
                </tr>
              </tbody>
            </table>
            <!-- </div> -->
            <br />

            <nav aria-label="Page navigation example">
              <ul class="pagination" sd:pagination="full"></ul>
            </nav>
          </div>
        </div>
      </main>
    </main>
  </body>
</html>
